using Otter;

namespace Puppyups.objects
{
    class PA : Entity
    {
        private Spritemap<string> _spriteMap;

        public PA(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.PA, 32, 32);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }
    }
}
